Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.partition
Class ObservableSplittingBackingCache.EntrySet.Entry

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.SimpleMapEntry
com.tangosol.util.AbstractKeyBasedMap.EntrySet.Entry
com.tangosol.net.partition.ObservableSplittingBackingCache.EntrySet.Entry`

All Implemented Interfaces:
  ConfigurableCacheMap.Entry, InvocableMap.Entry, MapTrigger.Entry, QueryMap.Entry, Serializable, Cloneable, Map.Entry

Enclosing class:
  ObservableSplittingBackingCache.EntrySet

      public class ObservableSplittingBackingCache.EntrySet.Entry

extends AbstractKeyBasedMap.EntrySet.Entry
implements ConfigurableCacheMap.Entry

A Cache Entry implementation.

Field Summary

Fields inherited from class com.tangosol.util.SimpleMapEntry
`m_oKey, m_oOrigValue, m_oValue, NO_VALUE`

Constructor Summary
`ObservableSplittingBackingCache.EntrySet.Entry(Object oKey, Object oValue)` Construct an Entry.

Method Summary
`protected ConfigurableCacheMap.Entry` | `getCacheEntry()` Obtain the actual cache entry from the partition-specific backing map.
`long` | `getExpiryMillis()` Determine when the cache entry will expire, if ever.
`long` | `getLastTouchMillis()` Determine when the cache entry was last touched.
`int` | `getTouchCount()` Determine the number of times that the cache entry has been touched (since the touch count was last reset).
`int` | `getUnits()` Determine the number of cache units used by this Entry.
`protected void` | `setCacheEntry(ConfigurableCacheMap.Entry entryBacking)` Configure the backing map cache entry.
`void` | `setExpiryMillis(long lMillis)` Specify when the cache entry will expire, or disable expiry.
`void` | `setUnits(int cUnits)` Specify the number of cache units used by this Entry.
`void` | `touch()` Indicate to the entry that it has been touched, such as when it is accessed or modified.

Methods inherited from class com.tangosol.util.AbstractKeyBasedMap.EntrySet.Entry
`getValue, hashCode, setValue`

Methods inherited from class com.tangosol.util.SimpleMapEntry
`clone, equals, extract, getKey, getOriginalValue, isOriginalPresent, isPresent, remove, setValue, toString, update`

Methods inherited from interface java.util.Map.Entry
`equals, getKey, getValue, hashCode, setValue`

Constructor Detail

### ObservableSplittingBackingCache.EntrySet.Entry

    public ObservableSplittingBackingCache.EntrySet.Entry(Object oKey,
                                                          Object oValue)

  Construct an Entry.
  Parameters:
    `oKey` - the Entry key
    `oValue` - the Entry value (optional)

Method Detail

### touch

    public void touch()

  Indicate to the entry that it has been touched, such as when it is accessed or modified.
  Specified by:
    `touch` in interface `ConfigurableCacheMap.Entry`

### getTouchCount

    public int getTouchCount()

  Determine the number of times that the cache entry has been touched (since the touch count was last reset).
  Specified by:
    `getTouchCount` in interface `ConfigurableCacheMap.Entry`
  Returns:
    the number of times that the cache entry has been touched

### getLastTouchMillis

    public long getLastTouchMillis()

  Determine when the cache entry was last touched.
  Specified by:
    `getLastTouchMillis` in interface `ConfigurableCacheMap.Entry`
  Returns:
    the date/time value, in millis, when the entry was most recently touched

### getExpiryMillis

    public long getExpiryMillis()

  Determine when the cache entry will expire, if ever.
  Specified by:
    `getExpiryMillis` in interface `ConfigurableCacheMap.Entry`
  Returns:
    the date/time value, in millis, when the entry will (or did) expire; zero indicates no expiry

### setExpiryMillis

    public void setExpiryMillis(long lMillis)

  Specify when the cache entry will expire, or disable expiry. Note that if the cache is configured for automatic expiry, each subsequent update to this cache entry will reschedule the expiry time.
  Specified by:
    `setExpiryMillis` in interface `ConfigurableCacheMap.Entry`
  Parameters:
    `lMillis` - pass the date/time value, in millis, for when the entry will expire, or pass zero to disable automatic expiry

### getUnits

    public int getUnits()

  Determine the number of cache units used by this Entry.
  Specified by:
    `getUnits` in interface `ConfigurableCacheMap.Entry`
  Returns:
    an integer value 0 or greater, with a larger value signifying a higher cost; -1 implies that the Entry has been discarded

### setUnits

    public void setUnits(int cUnits)

  Specify the number of cache units used by this Entry.
  Specified by:
    `setUnits` in interface `ConfigurableCacheMap.Entry`
  Parameters:
    `cUnits` - an integer value 0 or greater, with a larger value signifying a higher cost

### setCacheEntry

    protected void setCacheEntry(ConfigurableCacheMap.Entry entryBacking)

  Configure the backing map cache entry.
  Parameters:
    `entryBacking` - the entry to delegate most of this entry's operations to

### getCacheEntry

    protected ConfigurableCacheMap.Entry getCacheEntry()

  Obtain the actual cache entry from the partition-specific backing map.
  Returns:
    the actual underlying cache entry

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.